Login
Login-Name Passwort


 
Newsletter
Werbung

Sicherheit: Mehrere Probleme in PHP
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in PHP
ID: SUSE-SU-2016:2013-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Software Development Kit 11-SP4, SUSE Linux Enterprise Server 11-SP4, SUSE Linux Enterprise Debuginfo 11-SP4
Datum: Mi, 10. August 2016, 07:25
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-5772
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-5769
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-5767
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-8935
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-5766

Originalnachricht

   SUSE Security Update: Security update for php53
______________________________________________________________________________

Announcement ID: SUSE-SU-2016:2013-1
Rating: important
References: #986004 #986244 #986386 #986388 #986393
Cross-References: CVE-2015-8935 CVE-2016-5766 CVE-2016-5767
CVE-2016-5769 CVE-2016-5772
Affected Products:
SUSE Linux Enterprise Software Development Kit 11-SP4
SUSE Linux Enterprise Server 11-SP4
SUSE Linux Enterprise Debuginfo 11-SP4
______________________________________________________________________________

An update that fixes 5 vulnerabilities is now available.

Description:

php53 was updated to fix five security issues.

These security issues were fixed:
- CVE-2016-5769: mcrypt: Heap Overflow due to integer overflows
(bsc#986388).
- CVE-2015-8935: XSS in header() with Internet Explorer (bsc#986004).
- CVE-2016-5772: Double Free Courruption in wddx_deserialize (bsc#986244).
- CVE-2016-5766: Integer Overflow in _gd2GetHeader() resulting in heap
overflow (bsc#986386).
- CVE-2016-5767: Integer Overflow in gdImagePaletteToTrueColor() resulting
in heap overflow (bsc#986393).


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 11-SP4:

zypper in -t patch sdksp4-php53-12683=1

- SUSE Linux Enterprise Server 11-SP4:

zypper in -t patch slessp4-php53-12683=1

- SUSE Linux Enterprise Debuginfo 11-SP4:

zypper in -t patch dbgsp4-php53-12683=1

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Software Development Kit 11-SP4 (i586 ia64 ppc64
s390x x86_64):

php53-devel-5.3.17-74.1
php53-imap-5.3.17-74.1
php53-posix-5.3.17-74.1
php53-readline-5.3.17-74.1
php53-sockets-5.3.17-74.1
php53-sqlite-5.3.17-74.1
php53-tidy-5.3.17-74.1

- SUSE Linux Enterprise Server 11-SP4 (i586 ia64 ppc64 s390x x86_64):

apache2-mod_php53-5.3.17-74.1
php53-5.3.17-74.1
php53-bcmath-5.3.17-74.1
php53-bz2-5.3.17-74.1
php53-calendar-5.3.17-74.1
php53-ctype-5.3.17-74.1
php53-curl-5.3.17-74.1
php53-dba-5.3.17-74.1
php53-dom-5.3.17-74.1
php53-exif-5.3.17-74.1
php53-fastcgi-5.3.17-74.1
php53-fileinfo-5.3.17-74.1
php53-ftp-5.3.17-74.1
php53-gd-5.3.17-74.1
php53-gettext-5.3.17-74.1
php53-gmp-5.3.17-74.1
php53-iconv-5.3.17-74.1
php53-intl-5.3.17-74.1
php53-json-5.3.17-74.1
php53-ldap-5.3.17-74.1
php53-mbstring-5.3.17-74.1
php53-mcrypt-5.3.17-74.1
php53-mysql-5.3.17-74.1
php53-odbc-5.3.17-74.1
php53-openssl-5.3.17-74.1
php53-pcntl-5.3.17-74.1
php53-pdo-5.3.17-74.1
php53-pear-5.3.17-74.1
php53-pgsql-5.3.17-74.1
php53-pspell-5.3.17-74.1
php53-shmop-5.3.17-74.1
php53-snmp-5.3.17-74.1
php53-soap-5.3.17-74.1
php53-suhosin-5.3.17-74.1
php53-sysvmsg-5.3.17-74.1
php53-sysvsem-5.3.17-74.1
php53-sysvshm-5.3.17-74.1
php53-tokenizer-5.3.17-74.1
php53-wddx-5.3.17-74.1
php53-xmlreader-5.3.17-74.1
php53-xmlrpc-5.3.17-74.1
php53-xmlwriter-5.3.17-74.1
php53-xsl-5.3.17-74.1
php53-zip-5.3.17-74.1
php53-zlib-5.3.17-74.1

- SUSE Linux Enterprise Debuginfo 11-SP4 (i586 ia64 ppc64 s390x x86_64):

php53-debuginfo-5.3.17-74.1
php53-debugsource-5.3.17-74.1


References:

https://www.suse.com/security/cve/CVE-2015-8935.html
https://www.suse.com/security/cve/CVE-2016-5766.html
https://www.suse.com/security/cve/CVE-2016-5767.html
https://www.suse.com/security/cve/CVE-2016-5769.html
https://www.suse.com/security/cve/CVE-2016-5772.html
https://bugzilla.suse.com/986004
https://bugzilla.suse.com/986244
https://bugzilla.suse.com/986386
https://bugzilla.suse.com/986388
https://bugzilla.suse.com/986393

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung